Bug 187838 - [patch] Add support for mtree(8) to populate_data_slice and cust_install_files, unify variable names.
Summary: [patch] Add support for mtree(8) to populate_data_slice and cust_install_file...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-22 11:20 UTC by Lev A. Serebryakov
Modified: 2017-12-31 22:27 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.05 KB, patch)
2014-03-22 11:20 UTC, Lev A. Serebryakov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lev A. Serebryakov freebsd_committer 2014-03-22 11:20:00 UTC
  (1) Add support for ".mtree" files in source trees used by
      populate_data_slice and cust_install_files. These files
      could be placed anywere in these trees (multiple times)
      and will be applied to target (nanobsd world) trees.

      It allows system files to be owned by regular user.
      
  (2) Add NANO_FILESDIR variable.
  
  (3) Unify variable names: NANO_PACKAGE_DIR is only one with "_DIR'
      suffix, not simple "DIR".

  I use these changes locally for ages.
Comment 1 vladislav V. Prodan 2014-03-22 11:26:01 UTC
> 
> >Number: 187838
> >Category: misc
> >Synopsis: Add support for "mtree" to populate_data_slice and cust_install_files, unify variable names.
> >Confidential: no
> >Severity: non-critical
> >Priority: medium
> >Responsible: freebsd-bugs
> >State: open
> >Quarter: 
> >Keywords: 
> >Date-Required:
> >Class: change-request
> >Submitter-Id: current-users
> >Arrival-Date: Sat Mar 22 11:20:00 UTC 2014
> >Closed-Date:
> >Last-Modified:
> >Originator: Lev Serebryakov
> >Release: FreeBSD 11.0-CURRENT amd64
> >Organization:
> FreeBSD
> >Environment:
> System: FreeBSD fbsd-c-64.vm.home.serebryakov.spb.ru 11.0-CURRENT FreeBSD 11.0-CURRENT #10 r263296M: Tue Mar 18 23:38:19 MSK 2014 root@fbsd-c-64.vm.home.serebryakov.spb.ru:/usr/obj/data/src/sys/VBOX amd64
> 
> >Description:
> 
> (1) Add support for ".mtree" files in source trees used by
> populate_data_slice and cust_install_files. These files
> could be placed anywere in these trees (multiple times)
> and will be applied to target (nanobsd world) trees.
> 

Some continue to use RCS :)
I also ask you to exclude directories RCS  and files with the extension .v



-- 
Vladislav V. Prodan 
System & Network Administrator 
http://support.od.ua 
+380 67 4584408, +380 99 4060508
VVP88-RIPE
Comment 2 Lev A. Serebryakov freebsd_committer 2014-03-22 11:28:25 UTC
Responsible Changed
From-To: freebsd-bugs->imp


According to src/MAINTAINERS
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:25 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped